commit e46d2bb2bd33044b45cd9cc508a50f63d91aa0f8
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Dec 19 10:29:58 2025 +0000

    Utils: eliminate use of asprintf()

diff --git a/src/src/exim_dbutil.c b/src/src/exim_dbutil.c
index 3ef241a4e..6ffcf764c 100644
--- a/src/src/exim_dbutil.c
+++ b/src/src/exim_dbutil.c
@@ -329,15 +329,16 @@ for the DB access mode will error out here. */
 
 if (dbmdb)
   {
-  if (asprintf(CSS &filename, "%s.lockfile", name) < 0)
-    return NULL;
+  filename = string_sprintf("%s.lockfile", name);
   dname = Ustrchr(name, '/')		/* path has dirs */
     ? US dirname(CS string_copy(name))
     : US ".";
   }
-else if (  asprintf(CSS &dname, "%s/db", spool_directory) < 0
-	|| asprintf(CSS &filename, "%s/%s.lockfile", dname, name) < 0)
-  return NULL;
+else
+  {
+  dname = string_sprintf("%s/db", spool_directory);
+  filename = string_sprintf("%s/%s.lockfile", dname, name);
+  }
 
 dbblock->readonly = (flags & O_ACCMODE) == O_RDONLY;
 dbblock->lockfd = -1;

